Bug 170802 - cronjobs start too early
Summary: cronjobs start too early
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On: 106578
Blocks: 161600
TreeView+ depends on / blocked
 
Reported: 2005-10-14 16:07 UTC by Jason Vas Dias
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005:0117
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-01 17:56:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Vas Dias 2005-10-14 16:07:46 UTC
+++ This bug was initially created as a clone of Bug #106578 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4) Gecko/20030624

Description of problem:
sometimes cronjobs start earlier then configured in crontab.
Example:

* * * * *  date +'\%s.\%N' >> /tmp/date-2.log ;date >> /tmp/date-2.log

Wed Oct  8 12:21:00 CEST 2003
1065608519.783610000
Wed Oct  8 12:21:59 CEST 2003
1065608580.791188000

the smallest intervall is 58.1968970298767

this problem is very dangerous for example logrotating at 00:00:00 with a date
in file name

You can also find some entries in cron log from cron.hourly with HH:00:59
(should be > HH:01:00)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.crontab -e: * * * * *  date +'\%s.\%N' >> /tmp/date-2.log
2.cat date-2.log |sort -nr|perl -ne '$NEW=$_;chop $NEW ;print "$NEW - $LAST:\t";
print $NEW - $LAST ."\n" ;$LAST=$NEW ;'
3. or: grep cron.hourly /etc/crontab; grep ":00:59" /var/log/cron*
    

Additional info:

-- Additional comment from matt@braithwaite.net on 2004-02-10 19:00 EST --
I have this problem too, on RedHat 7.3, with vixie-cron-3.0.1-64.

-- Additional comment from jvdias@redhat.com on 2004-08-04 19:19 EST --
Fixed in vixie-cron-4.1-+ (latest version 4.1-7).

Comment 1 Jason Vas Dias 2005-10-14 16:08:47 UTC
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3
and should be considered for inclusion in RHEL-3-U7 .

Comment 3 Jason Vas Dias 2006-05-01 17:56:34 UTC
Fixed with vixie-cron-4.1-10.EL3, currently in RHEL-3-U7 with errata
RHSA-2005:0117.


Note You need to log in before you can comment on or make changes to this bug.